%define	major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Optimized MPEG Audio Layer 2 (MP2) encoder
Name:		twolame
Version:	0.4.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.twolame.org/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	dos2unix

%description
TwoLAME is an optimized MPEG Audio Layer 2 (MP2) encoder based on tooLAME by
Mike Cheng, which in turn is based upon the ISO dist10 code and portions of
LAME.

Features added to TwoLAME:
 - Fully thread-safe
 - Static and shared library (libtwolame)
 - API very similar to LAME's (for easy porting)
 - C99 compliant
 - Frontend supports wider range of input files (using libsndfile)

%package -n	%{libname}
Summary:	TwoLAME MP2 encoding library
Group:		System/Libraries

%description -n	%{libname}
TwoLAME MP2 encoding library.

%package -n	%{develname}
Summary:	Header files for TwoLAME library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}

%description -n	%{develname}
TwoLAME is an optimized MPEG Audio Layer 2 (MP2) encoder based on tooLAME by
Mike Cheng, which in turn is based upon the ISO dist10 code and portions of
LAME.

Features added to TwoLAME:
 - Fully thread-safe
 - Static and shared library (libtwolame)
 - API very similar to LAME's (for easy porting)
 - C99 compliant
 - Frontend supports wider range of input files (using libsndfile)

This package contains the static development library and header files for the
TwoLAME library.

%prep

%setup -q
sed -i -e 's/-O3//' configure.ac

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

rm -rf %{buildroot}%{_docdir}/twolame

# don't ship .a, .la
find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/twolame
%{_mandir}/man1/twolame.1*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc doc/html/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Fri Feb 21 2020 daviddavid <daviddavid> 0.4.0-1.mga8
+ Revision: 1549162
- new version: 0.4.0

* Fri Feb 14 2020 umeabot <umeabot> 0.3.13-9.mga8
+ Revision: 1517524
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.3.13-8.mga7
+ Revision: 1301483
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 0.3.13-7.mga6
+ Revision: 933062
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.13-6.mga5
+ Revision: 749977
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.13-5.mga5
+ Revision: 689998
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.13-4.mga4
+ Revision: 519810
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.3.13-3.mga3
+ Revision: 384929
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 07 2012 cjw <cjw> 0.3.13-2.mga3
+ Revision: 327668
- fix build with current dos2unix

* Mon Aug 01 2011 tv <tv> 0.3.13-1.mga2
+ Revision: 131102
- drop patch (merged upstream)
- new release

* Tue Jan 25 2011 ahmad <ahmad> 0.3.12-7.mga1
+ Revision: 39579
- drop old/unneeded scriptlets
- don't ship .a, .la
- imported package twolame


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.12-6mdv2011.0
+ Revision: 608047
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.12-5mdv2010.1
+ Revision: 524285
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.3.12-4mdv2010.0
+ Revision: 427454
- rebuild
- make sure autoreconf updates libtool files to avoid libtool 1.5/2.2 mismatches

* Sun Jan 11 2009 Götz Waschk <waschk@mandriva.org> 0.3.12-3mdv2009.1
+ Revision: 328310
- rebuild

* Thu Dec 18 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.12-2mdv2009.1
+ Revision: 315793
- docs in main not lib package, don't package COPYING
- protect major in file list
- add subst_space.patch: fix issues in configure.ac that broke build
- clean some unnecessary whitespace
- new license policy

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 05 2008 Guillaume Bedot <littletux@mandriva.org> 0.3.12-1mdv2008.1
+ Revision: 179947
- update to new version 0.3.12

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import twolame


* Wed Aug 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.10-1mdv2008.0
+ Revision: 57652
- Import twolame



* Wed Aug 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.10-1mdv2008.0
- initial Mandriva package (PLD import)
